diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index f566671675..785429b106 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -287,16 +287,16 @@ define('pgadmin.browser', [
       /* Add hooked-in panels by extensions */
       var panels = JSON.parse(pgBrowser.panels_items);
       _.each(panels, function(panel) {
-        if (panel.isIframe) {
+        if (panel.is_iframe) {
           pgBrowser.frames[panel.name] = new pgBrowser.Frame({
             name: panel.name,
             title: panel.title,
             icon: panel.icon,
             width: panel.width,
             height: panel.height,
-            showTitle: panel.showTitle,
-            isCloseable: panel.isCloseable,
-            isPrivate: panel.isPrivate,
+            showTitle: panel.show_title,
+            isCloseable: panel.is_closeable,
+            isPrivate: panel.is_private,
             url: panel.content,
           });
         } else {
@@ -306,12 +306,12 @@ define('pgadmin.browser', [
             icon: panel.icon,
             width: panel.width,
             height: panel.height,
-            showTitle: panel.showTitle,
-            isCloseable: panel.isCloseable,
-            isPrivate: panel.isPrivate,
+            showTitle: panel.show_title,
+            isCloseable: panel.is_closeable,
+            isPrivate: panel.is_private,
             content: (panel.content) ? panel.content : '',
             events: (panel.events) ? panel.events : '',
-            canHide: (panel.canHide) ? panel.canHide : '',
+            canHide: (panel.can_hide) ? panel.can_hide : '',
           });
         }
       });
